%{?mingw_package_header}

Name:           mingw-libglade2
Version:        2.6.4
Release:        %mkrel 22
Summary:        MinGW Windows Libglade2 library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/libglade/2.6/libglade-%{version}.tar.bz2
# https://bugzilla.gnome.org/show_bug.cgi?id=121025
Patch1:         libglade-2.0.1-nowarning.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=510736
Patch2:         libglade-secondary.patch
# As of pango 1.29.5 the gmodule library isn't pulled in automatically anymore
Patch3:         libglade-link-against-gmodule.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gtk2
BuildRequires:  mingw32-fontconfig
BuildRequires:  mingw32-pango
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-libxml2

BuildRequires:  mingw64-filesystem >= 68
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gtk2
BuildRequires:  mingw64-fontconfig
BuildRequires:  mingw64-pango
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-libxml2

# Native one for msgfmt
BuildRequires:  gettext

# Needed for patch3
BuildRequires:  gtk2-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  python3

%description
MinGW Windows Libglade2 library.


# Win32
%package -n mingw32-libglade2
Summary:        MinGW Windows Libglade2 library
Requires:       pkgconfig

%description -n mingw32-libglade2
MinGW Windows Libglade2 library.

%package -n mingw32-libglade2-static
Summary:        Static MinGW Windows Libglade2 library
Group:          Development/Other
Requires:       mingw32-libglade2 = %{version}-%{release}

%description -n mingw32-libglade2-static
Static MinGW Windows Libglade2 library.

# Win64
%package -n mingw64-libglade2
Summary:        MinGW Windows Libglade2 library
Requires:       pkgconfig

%description -n mingw64-libglade2
MinGW Windows Libglade2 library.

%package -n mingw64-libglade2-static
Summary:        Static MinGW Windows Libglade2 library
Group:          Development/Other
Requires:       mingw64-libglade2 = %{version}-%{release}

%description -n mingw64-libglade2-static
Static MinGW Windows Libglade2 library.


%{?mingw_debug_package}


%prep
%setup -q -n libglade-%{version}
%patch1 -p1 -b .nowarning
%patch2 -p1 -b .secondary
%patch3 -p0 -b .gmodule

autoreconf --install --force


%build
%mingw_configure --disable-gtk-doc

cp glade/glade.def build_win32/glade
cp glade/glade.def build_win64/glade

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT/%{mingw32_datadir}/gtk-doc/html/libglade
rm -rf $RPM_BUILD_ROOT/%{mingw64_datadir}/gtk-doc/html/libglade

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# python shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{mingw32_bindir}/libglade-convert
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{mingw64_bindir}/libglade-convert

# Win32
%files -n mingw32-libglade2
%doc COPYING
%{mingw32_bindir}/libglade-2.0-0.dll
%{mingw32_bindir}/libglade-convert
%{mingw32_includedir}/libglade-2.0
%{mingw32_libdir}/libglade-2.0.dll.a
%{mingw32_libdir}/pkgconfig/libglade-2.0.pc

%dir %{mingw32_datadir}/xml/libglade
%{mingw32_datadir}/xml/libglade/glade-2.0.dtd

%files -n mingw32-libglade2-static
%{mingw32_libdir}/libglade-2.0.a

# Win64
%files -n mingw64-libglade2
%doc COPYING
%{mingw64_bindir}/libglade-2.0-0.dll
%{mingw64_bindir}/libglade-convert
%{mingw64_includedir}/libglade-2.0
%{mingw64_libdir}/libglade-2.0.dll.a
%{mingw64_libdir}/pkgconfig/libglade-2.0.pc

%dir %{mingw64_datadir}/xml/libglade
%{mingw64_datadir}/xml/libglade/glade-2.0.dtd

%files -n mingw64-libglade2-static
%{mingw64_libdir}/libglade-2.0.a




%changelog
* Tue Mar 29 2022 umeabot <umeabot> 2.6.4-22.mga9
+ Revision: 1832051
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 daviddavid <daviddavid> 2.6.4-21.mga8
+ Revision: 1513175
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.6.4-20.mga7
+ Revision: 1264351
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.6.4-19.mga6
+ Revision: 938896
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.4-18.mga5
+ Revision: 741672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.4-17.mga5
+ Revision: 682471
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 2.6.4-16.mga4
+ Revision: 483967
- imported package mingw-libglade2

